makeRandomTestData {HilbertVis} | R Documentation

## generate a long vector of example data that is suitable to demonstrate the Hilbert curve visualisation

### Description

This function generates a long numeric vector and fills it with many narrow Gaussian peaks of varying width and position. Around 30 the distribution of peak width is changed to be substantially larger. This feature is easily visible with the Hilbert curve visualization but much harder to spot with conventional 1D plots.

### Usage

    makeRandomTestData(len = 1e+07, numPeaks = 500)

### Arguments

`len` | Length of the vector
`numPeaks` | Number of peaks to be placed in the vector

### Value

A vector, of type 'numeric', with sample data.

### Author(s)

Simon Anders, EMBL-EBI, sanders@fs.tum.de

### Examples

    # See the help page of function 'hilbertImage' for an example.

[Package HilbertVis version 1.2.0 Index]